<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::ToggleGroup Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1ToggleGroup.html">ToggleGroup</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classgg_1_1ToggleGroup-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::ToggleGroup Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="ToggleGroup_8hpp_source.html">ToggleGroup.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a501f1cd8bd116e94f704dc796697aa76"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1ToggleGroup.html#a501f1cd8bd116e94f704dc796697aa76">ToggleGroup</a> ()</td></tr>
<tr class="separator:a501f1cd8bd116e94f704dc796697aa76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9709faa760de29cc1fc1023b1a3ec6a6"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1ToggleGroup.html#a9709faa760de29cc1fc1023b1a3ec6a6">~ToggleGroup</a> ()=default</td></tr>
<tr class="separator:a9709faa760de29cc1fc1023b1a3ec6a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affe8ca2cd31ee7cca8edf8b55973e381"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1ToggleGroup.html#affe8ca2cd31ee7cca8edf8b55973e381">AddToggle</a> (<a class="el" href="classgg_1_1ToggleButton.html">ToggleButton</a> *)</td></tr>
<tr class="separator:affe8ca2cd31ee7cca8edf8b55973e381"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05bb9a569a28c3f8a6105f30a3441197"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1ToggleGroup.html#a05bb9a569a28c3f8a6105f30a3441197">RemoveToggle</a> (<a class="el" href="classgg_1_1ToggleButton.html">ToggleButton</a> *)</td></tr>
<tr class="separator:a05bb9a569a28c3f8a6105f30a3441197"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7007e2548e51ee5d37d1032e2229fcb6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1ToggleGroup.html#a7007e2548e51ee5d37d1032e2229fcb6">ClearToggle</a> ()</td></tr>
<tr class="separator:a7007e2548e51ee5d37d1032e2229fcb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42f24adf2e27a415d693b9fe0d11a34c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1ToggleGroup.html#a42f24adf2e27a415d693b9fe0d11a34c">SelectToggle</a> (<a class="el" href="classgg_1_1ToggleButton.html">ToggleButton</a> *)</td></tr>
<tr class="separator:a42f24adf2e27a415d693b9fe0d11a34c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab967976c825b747dba121b16f4747984"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1ToggleGroup.html#ab967976c825b747dba121b16f4747984">GetSelectedToggle</a> () -&gt; <a class="el" href="classgg_1_1ToggleButton.html">ToggleButton</a> *</td></tr>
<tr class="separator:ab967976c825b747dba121b16f4747984"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a86a70437d4453709f2b09ae7293266da"><td class="memItemLeft" align="right" valign="top">std::size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1ToggleGroup.html#a86a70437d4453709f2b09ae7293266da">mActiveToggleIndex</a></td></tr>
<tr class="separator:a86a70437d4453709f2b09ae7293266da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08af697ba837cf8376e586c8070fe1b5"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classgg_1_1ToggleButton.html">ToggleButton</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1ToggleGroup.html#a08af697ba837cf8376e586c8070fe1b5">mToggles</a></td></tr>
<tr class="separator:a08af697ba837cf8376e586c8070fe1b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a501f1cd8bd116e94f704dc796697aa76" name="a501f1cd8bd116e94f704dc796697aa76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a501f1cd8bd116e94f704dc796697aa76">&#9670;&nbsp;</a></span>ToggleGroup()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gg::ToggleGroup::ToggleGroup </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9709faa760de29cc1fc1023b1a3ec6a6" name="a9709faa760de29cc1fc1023b1a3ec6a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9709faa760de29cc1fc1023b1a3ec6a6">&#9670;&nbsp;</a></span>~ToggleGroup()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual gg::ToggleGroup::~ToggleGroup </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="affe8ca2cd31ee7cca8edf8b55973e381" name="affe8ca2cd31ee7cca8edf8b55973e381"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affe8ca2cd31ee7cca8edf8b55973e381">&#9670;&nbsp;</a></span>AddToggle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::ToggleGroup::AddToggle </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgg_1_1ToggleButton.html">ToggleButton</a> *&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7007e2548e51ee5d37d1032e2229fcb6" name="a7007e2548e51ee5d37d1032e2229fcb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7007e2548e51ee5d37d1032e2229fcb6">&#9670;&nbsp;</a></span>ClearToggle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::ToggleGroup::ClearToggle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab967976c825b747dba121b16f4747984" name="ab967976c825b747dba121b16f4747984"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab967976c825b747dba121b16f4747984">&#9670;&nbsp;</a></span>GetSelectedToggle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::ToggleGroup::GetSelectedToggle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  <a class="el" href="classgg_1_1ToggleButton.html">ToggleButton</a> *</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a05bb9a569a28c3f8a6105f30a3441197" name="a05bb9a569a28c3f8a6105f30a3441197"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05bb9a569a28c3f8a6105f30a3441197">&#9670;&nbsp;</a></span>RemoveToggle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::ToggleGroup::RemoveToggle </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgg_1_1ToggleButton.html">ToggleButton</a> *&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a42f24adf2e27a415d693b9fe0d11a34c" name="a42f24adf2e27a415d693b9fe0d11a34c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42f24adf2e27a415d693b9fe0d11a34c">&#9670;&nbsp;</a></span>SelectToggle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::ToggleGroup::SelectToggle </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgg_1_1ToggleButton.html">ToggleButton</a> *&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a86a70437d4453709f2b09ae7293266da" name="a86a70437d4453709f2b09ae7293266da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86a70437d4453709f2b09ae7293266da">&#9670;&nbsp;</a></span>mActiveToggleIndex</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::size_t gg::ToggleGroup::mActiveToggleIndex</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a08af697ba837cf8376e586c8070fe1b5" name="a08af697ba837cf8376e586c8070fe1b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08af697ba837cf8376e586c8070fe1b5">&#9670;&nbsp;</a></span>mToggles</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="classgg_1_1ToggleButton.html">ToggleButton</a> *&gt; gg::ToggleGroup::mToggles</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/gui/<a class="el" href="ToggleGroup_8hpp_source.html">ToggleGroup.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
